# -----------------------------------------------------------------------
# Simulation in log deviations from the steady state
# vStatePrev = ()
# -----------------------------------------------------------------------
function fStateSpaceSimulationLinear(Phi00::Array{Float64,2},Phi10::Array{Float64,2},PhiEta0::Array{Float64,2},pA,pA0,vStatePrev::Array{Float64,1}, vEta::Array{Float64,1})

vState = Phi00 + Phi10*vStatePrev[1:8] + PhiEta0*vEta
vState = [ vState ; vStatePrev[5] ] # y_t-1 = y_t-1

#vState = [ vState ; (vState[5] + vState[3] - vState[9]) ]# y_gr,t =  y_t + z_t - y_t-1
#vState = [ vState ; ( Phi00[5]+Phi00[3] + ((Phi10[5,:]' + Phi10[3,:]' - [0. 0 0 0 1 0 0 0 0 0])*vStatePrev)[1] + ((PhiEta0[5,:]' +PhiEta0[3,:]')*vEta)[1]  ) ]# y_gr,t =  y_t + z_t - y_t-1
#vState = [ vState ; ( Phi00[5]+Phi00[3] + dot((Phi10[5,:] + Phi10[3,:] - [0.; 0; 0; 0; 1; 0; 0; 0; 0; 0]),vStatePrev) + dot((PhiEta0[5,:] +PhiEta0[3,:]),vEta)  ) ]# y_gr,t =  y_t + z_t - y_t-1


vObs = pA0 + pA*vState

return vState, vObs;

end
